package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.sales.SalesPerformanceInfoSearchEntity;
import com.crm.rely.backend.core.pojo.table.SalesPerformanceInfoTable;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface SalesPerformanceInfoMapper {

    SalesPerformanceInfoTable getById(Long id);

    Integer countSearch(SalesPerformanceInfoSearchEntity entity);

    List<SalesPerformanceInfoTable> listSearch(SalesPerformanceInfoSearchEntity entity);

}
